/**
 * 更改导航步骤。
 * Change navigation steps.
 *
 * @access public
 * @returns void
 */
window.changeStepNavs = function(event)
{
    const $a = $(event.target).closest('a');
    if($a.data('disabled')) return;

    const navKey     = $a.data('navKey');
    const {currentNav, marketID, wizardID} = $('.think-config-nav').data();
    if(navKey == currentNav) return;

    const submitMethod = currentNav.toLowerCase();
    const jumpMethod   = navKey.toLowerCase();
    const loadUrl      = $.createLink('thinkwizard', `${jumpMethod}forappeals`, `marketID=${marketID}&wizardID=${wizardID}`);
    if(submitMethod == 'configureobjects') return submitObjectsOfAppeals(loadUrl);
    if(submitMethod == 'configurequestions') return submitObjectsOfQuestions(loadUrl);

    const formData = new FormData($('.panel form')[0]);
    $.ajaxSubmit({
        url: $.createLink('thinkwizard', `${submitMethod}forappeals`, `marketID=${marketID}&wizardID=${wizardID}`),
        data: formData,
        load: false,
        onSuccess: () => {
            loadPage(loadUrl);
        },
        onFail: (error) => {
            if(error?.message) showValidateMessage(error.message);
        }
    });
}

/**
 * 提交配置对象的数据。
 * Submit data for configuration objects.
 *
 * @access public
 * @returns void
 */
window.submitObjectsOfAppeals = function(loadUrl = '')
{
    const formData = new FormData($('.think-objects form')[0]);
    $.ajaxSubmit({
        url: $('.think-objects form').attr('action'),
        data: formData,
        load: false,
        onSuccess: (data) => {
            loadPage(loadUrl ? loadUrl : data.load);
        },
        onFail: (error) => {
            if($('.think-objects .form-batch-table').length)
            {
                $('.form-batch-table .form-control').removeClass('has-error');
                $('.form-batch-table .ajax-form-tip').remove();
            }
            if(error?.message) showValidateMessage(error.message);
        }
    });
}

/**
 * 提交配置问题的数据。
 * Submit data for configuration questions.
 *
 * @access public
 * @returns void
 */
window.submitObjectsOfQuestions = function(loadUrl='')
{
    const formData = new FormData($('form.think-questions-form')[0]);
    $.ajaxSubmit({
        url: $('.form.think-questions-form').attr('action'),
        data: formData,
        onSuccess: () => {
            loadPage(loadUrl);
        },
        onFail: (error) => {
            if($('.think-objects .form-batch-table').length)
            {
                $('.form-batch-table .form-control').removeClass('has-error');
                $('.form-batch-table .ajax-form-tip').remove();
            }
            if(error?.message) showValidateMessage(error.message);
        }
    });
}
