/**
 * 初始配置对象页面。
 * Initial configuration object page.
 *
 * @access public
 * @returns void
 */
window.initObjects = function()
{
    const isAssignedObject = $('.think-objects').data('isAssignedObject');
    $(".subject-content,.form-batch-table").toggleClass("hidden", isAssignedObject == 0);
}

/**
 * 切换操作按钮的样式。
 * Toggle the style of the operation button.
 *
 * @access public
 * @returns void
 */
window.toggleActionsStyle = function()
{
    const {addCompeteTips, addLang} = $('.think-objects').data();
    $('.table td[data-name="ACTIONS"] .btn[data-type="add"]').prop({
        disabled: ($('.table tbody tr').length >= 5),
        title: $('.table tbody tr').length >= 5 ? addCompeteTips.replace('%s', 5) : addLang,
    });
}

$(document).on('click', 'td[data-name="ACTIONS"] .btn', function()
{
    if(!$('.think-objects').length) return;

    toggleActionsStyle();
    if($(this).data('type') == 'add') $(this).closest('tr').next().find('td:first-child .form-control')[0].focus();
});
