<?php
/**
 * The ajaxViewRulesForAppeals view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$fnGenerateRules = function() use ($wizard, $lang)
{
    $wizard->config = json_decode($wizard->config, true);
    $configureObjects   = is_string($wizard->config['configureObjects']) ? json_decode($wizard->config['configureObjects'], true) : $wizard->config['configureObjects'];
    $configureDimension = is_string($wizard->config['configureDimension']) ? json_decode($wizard->config['configureDimension'], true) : $wizard->config['configureDimension'];
    $objectType         = $configureObjects['type'];
    $ruleText           = $configureDimension['enableRatio'] == 1 ? 'rulesOfWeight' : 'rules';
    $lang->thinkwizard->previewSteps->$ruleText[3] = str_replace('%s', $lang->thinkwizard->objects->typeList[$objectType], $lang->thinkwizard->previewSteps->$ruleText[3]);

    $rules = array();
    for($order = 1; $order < 5; $order++)
    {
        $rules[] = div
        (
            setClass('flex gap-4 mt-4'),
            div
            (
                setClass('h-5 text-gray-950 bg-gray-100 rounded-full flex items-center justify-center'),
                setStyle(array('min-width' => '1.25rem', 'max-width' => '1.25rem')),
                $order
            ),
            div(html($lang->thinkwizard->previewSteps->$ruleText[$order]))
        );
    }
    return $rules;
};

panel
(
    setClass('shadow-none'),
    set::titleClass('text-lg'),
    set::headingClass('px-0'),
    set::bodyClass('px-0'),
    set::title($lang->thinkwizard->previewSteps->rule),
    div
    (
        div(setClass('p-2 bg-primary-50 rounded'), html(sprintf($lang->thinkwizard->previewSteps->ruleGuide, $wizard->name))),
        div
        (
            $fnGenerateRules,
            img(setClass('w-full mt-4'), set::src('data/thinmory/wizardsetting/appeals/dimension8.svg')),
            div
            (
                setClass('text-gray text-right mt-4'),
                setStyle(array('font-size' => '0.625rem')),
                $lang->thinkwizard->previewSteps->modelImgDesc
            )
        )
    )
);
