<?php
/**
 * The configdimensionforappeals view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$dimensionForm    = array();
$configureObjects = json_decode($wizard->config['configureObjects']);
$objectName       = $lang->thinkwizard->objects->typeList[$configureObjects->type];
$dimensionCount   = !empty($dimension) && !empty($dimension['count']) ? (int) $dimension['count'] : 8;
if(!empty($count)) $dimensionCount = $count;
$image = "data/thinmory/wizardsetting/appeals/dimension$dimensionCount.svg";

/* featurebar */
$currentNav = 'configureDimension';
include './navsforappeals.html.php';

for($i = 0; $i < $dimensionCount; $i++)
{
    $weightValue      = (!empty($dimension['weights']) && !empty($dimension['weights'][$i])) ? $dimension['weights'][$i] : '';
    $defaultDimension = isset($lang->thinkwizard->dimension->defaultDimension[$i]) ? $lang->thinkwizard->dimension->defaultDimension[$i] : '';
    $defaultWeight    = isset($lang->thinkwizard->dimension->defaultWeight[$i]) ? $lang->thinkwizard->dimension->defaultWeight[$i] : '';
    $dimensionForm[] = div
    (
        setClass('flex gap-1.5 mt-2'),
        div(setClass('bg-gray-100 text-gray-500 py-2.5 px-2.5 text-base leading-3 whitespace-nowrap text-left'), setStyle(array('min-width' => '56px')), $lang->thinkwizard->dimension->dimensionOrder[$i]),
        formGroup(set(array(
            'class' => 'w-full dimension-values',
            'name'  => 'values[]',
            'value' => !empty($dimension['values']) && isset($dimension['values'][$i]) ? $dimension['values'][$i] : $defaultDimension
        ))),
        formGroup(setClass('form-weights', (isset($dimension['enableRatio']) && $dimension['enableRatio'] == '0') ? 'hidden' : ''), inputControl
        (
            input(set(array(
                    'class'       => 'w-24 dimension-weight',
                    'name'        => 'weights[]',
                    'type'        => !(isset($dimension['enableRatio']) && $dimension['enableRatio'] == '0') ? 'number' : '',
                    'min'         => 0,
                    'max'         => 100,
                    'disabled'    => !empty($dimension['canConfigureRatio']) ? $dimension['canConfigureRatio'] : false,
                    'value'       => !isset($dimension['canConfigureRatio']) ? $defaultWeight : $weightValue,
                    'placeholder' => $lang->thinkwizard->dimension->weight
                )),
                on::input('changeInput')
            ),
            to::suffix($lang->thinkwizard->dimension->percentageSign),
            set::suffixWidth(32)
        ))
    );
}
formPanel
(
    setClass('h-full pt-1 col think-dimension items-stretch px-0 py-0'),
    set::bodyClass('p-0'),
    set::layout('grid'),
    set::actionsClass('shadow-xl py-3'),
    set::actions
    (
        array(array('text' => $lang->thinkwizard->next, 'id' => 'save-button', 'class' => 'btn primary', 'btnType' => 'submit'),)
    ),
    div
    (
        setClass('w-full flex items-stretch gap-4'),
        setStyle(array('min-height' => 'calc(100vh - 165px)')),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->dimension->dimensionConfig),
            div
            (
                setClass('bg-primary bg-opacity-5 px-3 py-2 text-base rounded-sm leading-6'),
                sprintf($lang->thinkwizard->dimension->guide, $wizard->name, $objectName, $objectName)
            ),
            formHidden('count', $dimensionCount),
            formHidden('enableRatio', isset($dimension['enableRatio']) ? $dimension['enableRatio'] : 1),
            // formGroup
            // (
            //     set::label($lang->thinkwizard->dimension->enableRatio),
            //     radioList
            //     (
            //         set::name('enableRatio'),
            //         set::items($lang->thinkwizard->objects->specifyObjectOptions),
            //         set::value(isset($dimension['enableRatio']) ? $dimension['enableRatio'] : '1'),
            //         set::inline(true),
            //         on::change()
            //         ->toggleClass('.configure-ratio', 'hidden', 'target.value == 0')
            //         ->toggleClass('.form-weights', 'hidden', 'target.value == 0')
            //         ->do("$('input.dimension-weight').each(function(){ $(this).val('');})")
            //     )
            // ),
            div(setClass('mt-4'), $dimensionForm),
            div(setClass('dimension-error mt-3 text-danger hidden'), $lang->thinkwizard->error->empty),
            formGroup
            (
                setClass('mt-3 flex items-center configure-ratio', (isset($dimension['enableRatio']) && $dimension['enableRatio'] == '0') ? 'hidden' : ''),
                checkbox
                (
                    set::name('canConfigureRatio'),
                    set::text($lang->thinkwizard->dimension->setWeight),
                    set::value(1),
                    set::checked(!empty($dimension['canConfigureRatio']) ? $dimension['canConfigureRatio'] : false),
                    on::change()->do("
                        $('input.dimension-weight').each(function(){
                            if(target.checked) $(this).val('');
                            $(this).prop('disabled', target.checked);
                        });
                        if(target.checked) $('.dimension-error').each(function(){ $(this).addClass('hidden')});
                    ")
                ),
                icon
                (
                    'help',
                    setClass('ml-1 text-gray-400 cursor-pointer'),
                    set('data-toggle', 'tooltip'),
                    set('data-title', $lang->thinkwizard->tips->canConfigureRatio),
                    set('data-placement', 'right'),
                    set('data-type', 'white'),
                    set('data-class-name', 'text-gray border border-light w-72')
                )
            )
        ),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->dimension->dimensionHint),
            img(setClass('w-full'), set::src($image))
        )
    )
);
