<?php
/**
 * The navsforappeals view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang<wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$fnGenerateNav = function() use ($lang, $wizard, $currentNav, $marketID)
{
    $items    = array();
    $selected = true;
    foreach($this->config->thinkwizard->stepNavsOrder['appeals'] as $navOrder)
    {
        $title    = $lang->thinkwizard->stepNavs['appeals'][$navOrder];
        $isActive = $navOrder == $currentNav;
        if($isActive) $selected = false;
        $isEmpty  = empty($wizard->config) || (!empty($wizard->config) && !array_key_exists($navOrder, $wizard->config));
        $disabled = !$isActive && $isEmpty;
        $items[] = array('text' => $title, 'active' => $isActive, 'selected' => $selected, 'data-disabled' => $disabled, 'data-nav-key' => $navOrder);
    }

    return div
    (
        setClass('self-center m-auto absolute think-config-nav'),
        setData(array('currentNav' => $currentNav, 'marketID' => $marketID, 'wizardID' => $wizard->id)),
        nav
        (
            set::type('steps'),
            set::items($items),
            on::click()->do('changeStepNavs(event)')
        )
    );
};

featurebar
(
    backBtn
    (
        set::icon('back'),
        set::type('secondary'),
        set::url(createLink('thinkwizard', 'admin', "marketID=$marketID")),
        $lang->goback
    ),
    to::trailing($fnGenerateNav)
);
